%define debug_package %{nil}

%define url_ver %(echo %version | cut -d. -f1,2,3)

Summary:	A powerful GTK music player
Name:		exaile
Version:	3.3.1
Release:	%mkrel 2
Epoch:		1
Group:		Sound/Players
License:	GPLv2+
URL:		http://www.exaile.org/
Source0:	https://launchpad.net/%{name}/3.3.x/%{version}/+download/%{name}-%{version}.tar.gz
# (tpg) somehow a musictracker plugin for pidgin doesnt work... http://code.google.com/p/pidgin-musictracker/issues/detail?id=164
# let's use native plugin for exaile
# http://sourceforge.net/projects/exailemusictrac/
Source1:	http://downloads.sourceforge.net/project/exailemusictrac/%{name}musictracker-0.1.2.tar.bz2
Patch0:		exaile-3.3.0-makefile.patch
Patch1:		exaile-3.3.0-udisks.patch
Patch2:		exaile-3.3.1-launcher.patch 
BuildRequires:	python-gobject-devel
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	help2man
Requires:	pygtk2.0
Requires:	gstreamer0.10-python
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-cdio
Requires:	gstreamer0.10-moodbar
Requires:	dbus-python
Requires:	mutagen
Requires:	python-gobject2
Requires:	python-CDDB
Suggests:	python-gpod
BuildArch:	noarch

%description
Exaile is a music player inspired by KDE's Amarok, but for GTK and written in
Python. It incorporates many of the cool things from Amarok and other, like:
* automatic fetching of album art
* handling of large libraries
* lyrics fetching
* artist/album information via the wikipedia
* Last.fm support
* optional iPod support
* an advanced tag editor
* a SHOUTcast directory browser

In addition, Exaile also includes:
* a SHOUTcast directory browser
* tabbed playlists (so you can have more than one playlist open at a time)
* blacklisting of tracks (so they don't get scanned into your library)
* downloading of guitar tablature from fretplay.com
* submitting played tracks on your iPod to Last.fm

%prep
%setup -q
%apply_patches

# (tpg) unpack the plugin
tar xf %{SOURCE1} -C plugins/

%build
%make

%install
%makeinstall_std PREFIX=%{_prefix} LIBINSTALLDIR=%{_datadir} DESTDIR=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%config(noreplace) %{_sysconfdir}/xdg/exaile/
%{_mandir}/man1/%{name}.*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:3.3.1-2.mga3
+ Revision: 349812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 1:3.3.1-1.mga3
+ Revision: 343935
- Update to new version 3.3.1

* Tue Oct 30 2012 dams <dams> 1:3.3.0-1.mga3
+ Revision: 311629
- clean specfile

  + vaci0 <vaci0>
    -Update to version 3.3.0
    -Fixed group Sound/Players

* Thu Sep 08 2011 tv <tv> 1:0.3.2.2-1.mga2
+ Revision: 141578
- fix source URL
- new release

* Thu Jun 30 2011 ahmad <ahmad> 1:0.3.2.1-1.mga2
+ Revision: 116355
- Update to 0.3.2.1
- Use new Source URL

* Wed Mar 09 2011 ennael <ennael> 1:0.3.2.0-1.mga1
+ Revision: 67133
- clean spec file
- imported package exaile

